//
//  BackButton.swift
//  gloss
//
//  Created by Saint on 5/27/24.
//

import Foundation
import SwiftUI
struct BackArrow: Shape {
    func path(in rect: CGRect) -> Path {
        var path = Path()
        let width = rect.size.width
        let height = rect.size.height
        path.move(to: CGPoint(x: 0.83333*width, y: 0.45833*height))
        path.addLine(to: CGPoint(x: 0.83333*width, y: 0.54167*height))
        path.addLine(to: CGPoint(x: 0.33333*width, y: 0.54167*height))
        path.addLine(to: CGPoint(x: 0.33333*width, y: 0.625*height))
        path.addLine(to: CGPoint(x: 0.25*width, y: 0.625*height))
        path.addLine(to: CGPoint(x: 0.25*width, y: 0.54167*height))
        path.addLine(to: CGPoint(x: 0.16667*width, y: 0.54167*height))
        path.addLine(to: CGPoint(x: 0.16667*width, y: 0.45833*height))
        path.addLine(to: CGPoint(x: 0.25*width, y: 0.45833*height))
        path.addLine(to: CGPoint(x: 0.25*width, y: 0.375*height))
        path.addLine(to: CGPoint(x: 0.33333*width, y: 0.375*height))
        path.addLine(to: CGPoint(x: 0.33333*width, y: 0.45833*height))
        path.addLine(to: CGPoint(x: 0.83333*width, y: 0.45833*height))
        path.closeSubpath()
        path.move(to: CGPoint(x: 0.41667*width, y: 0.29167*height))
        path.addLine(to: CGPoint(x: 0.33333*width, y: 0.29167*height))
        path.addLine(to: CGPoint(x: 0.33333*width, y: 0.375*height))
        path.addLine(to: CGPoint(x: 0.41667*width, y: 0.375*height))
        path.addLine(to: CGPoint(x: 0.41667*width, y: 0.29167*height))
        path.closeSubpath()
        path.move(to: CGPoint(x: 0.41667*width, y: 0.29167*height))
        path.addLine(to: CGPoint(x: 0.5*width, y: 0.29167*height))
        path.addLine(to: CGPoint(x: 0.5*width, y: 0.20833*height))
        path.addLine(to: CGPoint(x: 0.41667*width, y: 0.20833*height))
        path.addLine(to: CGPoint(x: 0.41667*width, y: 0.29167*height))
        path.closeSubpath()
        path.move(to: CGPoint(x: 0.41667*width, y: 0.70833*height))
        path.addLine(to: CGPoint(x: 0.33333*width, y: 0.70833*height))
        path.addLine(to: CGPoint(x: 0.33333*width, y: 0.625*height))
        path.addLine(to: CGPoint(x: 0.41667*width, y: 0.625*height))
        path.addLine(to: CGPoint(x: 0.41667*width, y: 0.70833*height))
        path.closeSubpath()
        path.move(to: CGPoint(x: 0.41667*width, y: 0.70833*height))
        path.addLine(to: CGPoint(x: 0.5*width, y: 0.70833*height))
        path.addLine(to: CGPoint(x: 0.5*width, y: 0.79167*height))
        path.addLine(to: CGPoint(x: 0.41667*width, y: 0.79167*height))
        path.addLine(to: CGPoint(x: 0.41667*width, y: 0.70833*height))
        path.closeSubpath()
        return path
    }
}
